// file: extract_feature.cc
//
// this program calculates extracts features from 16-bit linear speech data
// 

// system include files
//
#include <string.h>

// isip include files
//
#include "extract_feature.h"

// main program
//
int main(int_4 argc, char_1** argv) {

  // declare local variables
  //
  Extract_feature ef;
  
  // get the command line parameters
  //
  if (ef.get_parameter_cc(argc, argv) == ISIP_FALSE) {
    
    // output error message and exit
    //
    fprintf(stderr, "%s : Error reading command line parameters\n",
	    argv[0]);

    exit(ISIP_PROTO_ERROR);
  }

  // configure the frontend
  //
  ef.config_frontend_cc();

  // the core computation of feature extraction
  //
  ef.compute_cc();
  
  // return without error
  //
  exit(ISIP_NO_ERROR);
}
